Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util
Class InstanceFactory

    java.lang.Object
      com.servingxml.util.InstanceFactory

    public class InstanceFactory

extends java.lang.Object

Field Summary
`static java.lang.Class[]` | `VOID_ARG_TYPES`
`static java.lang.Object[]` | `VOID_ARG_VALUES`

Constructor Summary
`InstanceFactory(java.lang.Class<?> instanceClass)`
`InstanceFactory(java.lang.Class<?> instanceClass, java.lang.Class<?> baseClass)`
`InstanceFactory(java.lang.String instanceClassName)`
`InstanceFactory(java.lang.String instanceClassName, java.lang.Class<?> baseClass)`

Method Summary
`java.lang.Object` | `createInstance()`
`java.lang.Object` | `createInstance(java.lang.Class[] argTypes, java.lang.Object[] args)`
`boolean` | `hasConstructor(java.lang.Class[] argTypes)`
`boolean` | `makerOf(java.lang.Class<?> cls)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VOID_ARG_TYPES

    public static final java.lang.Class[] VOID_ARG_TYPES

### VOID_ARG_VALUES

    public static final java.lang.Object[] VOID_ARG_VALUES

Constructor Detail

### InstanceFactory

    public InstanceFactory(java.lang.String instanceClassName)

### InstanceFactory

    public InstanceFactory(java.lang.String instanceClassName,
                           java.lang.Class<?> baseClass)

### InstanceFactory

    public InstanceFactory(java.lang.Class<?> instanceClass)

### InstanceFactory

    public InstanceFactory(java.lang.Class<?> instanceClass,
                           java.lang.Class<?> baseClass)

Method Detail

### hasConstructor

    public boolean hasConstructor(java.lang.Class[] argTypes)

### makerOf

    public boolean makerOf(java.lang.Class<?> cls)

### createInstance

    public java.lang.Object createInstance()

### createInstance

    public java.lang.Object createInstance(java.lang.Class[] argTypes,
                                           java.lang.Object[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD